[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONObject.Remove

Remove item by instance

## Declaration

Source position: fpjson.pp line 732

`public procedure TJSONObject.Remove(`
`Item: TJSONData`
`);`

## Arguments

`Item` |  | Item to remove.

## Description

Remove will locate the value Item in the list of values, and removes it if it exists. The item is freed.

## See also

Delete |  | Delete an element from the list by index
Extract |  | Extract an element from the object